Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1179)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1313)
@@ -56,7 +56,7 @@
 DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
 
-DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_3             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_1             : 6           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_2             : 2 0         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_3             : 2 6         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
 
 #========== Camera parameters ==========
@@ -79,11 +79,11 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0             0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
 
 #=========== Motion Search =============
@@ -103,10 +103,10 @@
 
 #=========== Deblock Filter ============
-DeblockingFilterControlPresent: 1           # Dbl control params present (0=not present, 1=present) (mc)
-LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+
+LoopFilterOffsetInPPS         : 1           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1 (default) =constant params in PPS, param = base_param)
 LoopFilterDisable             : 0 1         # Disable deblocking filter (0=Filter, 1=No Filter) (mc)
 LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6 
 LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
-DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream). Applies slice-level loop filter offsets (LoopFilterOffsetInPPS and LoopFilterDisable must be 0)
 
 
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 1179)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 1313)
@@ -35,5 +35,5 @@
 
 #======== VPS / PTLI ================
-Profile                       : main main multiview-main   # Profile indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Profile                       : main main 3d-main          # Profile indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
 Level                         : none none none             # Level   indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
 Tier                          : main main main             # Tier    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
@@ -67,7 +67,7 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0             0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             0
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0             0
 
 #=========== Motion Search =============
@@ -88,10 +88,10 @@
 
 #=========== Deblock Filter ============
-DeblockingFilterControlPresent: 1           # Dbl control params present (0=not present, 1=present) (mc)
-LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+
+LoopFilterOffsetInPPS         : 1           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1 (default) =constant params in PPS, param = base_param)
 LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter) (mc)
 LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6 
 LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
-DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream). Applies slice-level loop filter offsets (LoopFilterOffsetInPPS and LoopFilterDisable must be 0)
 
 
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1179)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1313)
@@ -68,9 +68,9 @@
 DirectRefLayers_5             : 1 4         # Indices in VPS of direct reference layers 
 
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_4             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_5             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_1             : 6           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_2             : 2 0         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_3             : 2 6         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_4             : 2 0         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_5             : 2 6         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
 
 #========== Camera parameters ==========
@@ -94,15 +94,16 @@
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0             0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+
 
 #=========== Motion Search =============
@@ -122,10 +123,10 @@
 
 #=========== Deblock Filter ============
-DeblockingFilterControlPresent: 1           # Dbl control params present (0=not present, 1=present) (mc)
-LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+
+LoopFilterOffsetInPPS         : 1           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1 (default) =constant params in PPS, param = base_param)
 LoopFilterDisable             : 0 1         # Disable deblocking filter (0=Filter, 1=No Filter) (mc)
 LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6 
 LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
-DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream). Applies slice-level loop filter offsets (LoopFilterOffsetInPPS and LoopFilterDisable must be 0)
 
 #=========== Misc. ============
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 1179)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 1313)
@@ -78,9 +78,9 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0            0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0            0
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0            0
+FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0            0
+Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0            0
 
 #=========== Motion Search =============
@@ -101,10 +101,10 @@
 
 #=========== Deblock Filter ============
-DeblockingFilterControlPresent: 1           # Dbl control params present (0=not present, 1=present) (mc)
-LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+
+LoopFilterOffsetInPPS         : 1           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1 (default) =constant params in PPS, param = base_param)
 LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter) (mc)
 LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6 
 LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
-DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream). Applies slice-level loop filter offsets (LoopFilterOffsetInPPS and LoopFilterDisable must be 0)
 
 #=========== Misc. ============
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg	(revision 1179)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg	(revision 1313)
@@ -4,15 +4,15 @@
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0   0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0   1             
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
+FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
+Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
+FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
+Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
+FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
+Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
+FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
+Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
 
 Frame2:   
